Bug 120194 - Weird interaction between tab pages of character dialog
Summary: Weird interaction between tab pages of character dialog
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Character-Dialog
  Show dependency treegraph
 
Reported: 2018-09-29 16:01 UTC by Tamás Zolnai
Modified: 2019-10-07 03:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot showing the wrong state of the Text Effects tab page (18.68 KB, image/png)
2018-09-29 16:03 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2018-09-29 16:01:32 UTC
Description:
I saw a weird behavior while using Character Propertied dialog. Sometimes when I change properties on Font Effects tab page and then switch to the Position tab page the set properties seemed to be reverted somehow. The preview shows the text on a way that my changes was reverted, even if I switch back to the Font Effects tab page and there my settings was not reverted. However when I close the dialog the selected text will get the formatting shown by the preview and not what the Font Effects tab page settings indicate.

Steps to Reproduce:
1. Open Writer
2. Type some text and select it for formatting
3. Open Character Properties dialog (context menu -> Character... -> Text Effects) and set a single Overlining
4. Close the dialog -> overlining is applied on the text as expected
5. Open the Character Properties dialog again
6. Select a different overlining on Text Effect tab page (e.g. bold) -> preview on the bottom shows the right overlining
7. Switch to Position tab page -> preview on the bottom still shows the right overlining
8. Switch back to Text Effects and select single overlining
9. Switch to Position tab page again -> preview shows wrong overlining (e.g. bold instead of single)
10. Switch back to Text Effects tab page -> preview shows wrong overlining
11. Close dialog with OK -> not the selected single overlining will be applied, but that one which is shown on the preview (e.g. bold).

Actual Results:
In the dialog preview shows wrong setting and also when closing the dialog with OK button LO applied wrong properties on the selected text.

Expected Results:
In the dialog always the selected properties should be displayed and also when user closes the dialog the selected option should be applied on the text.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Tamás Zolnai 2018-09-29 16:03:51 UTC
Created attachment 145267 [details]
Screenshot showing the wrong state of the Text Effects tab page

As the screenshot shows, Double overlining is selected in the dialog, but the preview shows long dash overlining.
Comment 2 raal 2018-10-06 04:19:30 UTC
confirm with Version: 6.2.0.0.alpha0+
Build ID: e9c1cbce903d325b1e19602d72765511589f5bf2
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3;
and Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 3 Dieter 2018-10-06 07:40:53 UTC
(In reply to raal from comment #2)
> confirm with Version: 6.2.0.0.alpha0+

=> NEW
Comment 4 QA Administrators 2019-10-07 03:00:50 UTC
Dear Tamás Zolnai,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug